Which is the most stable version at present?

Note:
This topic has been translated from a Chinese forum by GPT and might contain errors.

Original topic: 目前最稳定的版本是哪个呀

| username: 小于同学

Which version is currently the most stable? Which version is everyone using?

| username: tidb菜鸟一只 | Original post link

I mainly use 5.4.3 and 6.5.8, haven’t used 7 yet.

| username: forever | Original post link

The version updates so quickly, it was still 6.5.4 in September last year.

| username: tidb菜鸟一只 | Original post link

Minor version upgrades are very simple and generally address some bugs with little risk. However, major versions usually add many new features, so upgrades should be approached with caution.

| username: TiDBer_RjzUpGDL | Original post link

6.5.8

| username: TiDBer_jYQINSnf | Original post link

5.4.3
4.0.16

| username: DBAER | Original post link

Choosing LTS is generally fine.

| username: 哈喽沃德 | Original post link

Directly upgrade to 7.4

| username: FutureDB | Original post link

We are currently using version 6.5.4, which is relatively stable.

| username: Kongdom | Original post link

Based on past experience, it should be v6.5.8.

| username: kelvin | Original post link

Production is 6.5.x, for personal testing, it definitely has to be on V7.x.

| username: onlyacat | Original post link

For official use, all 456 are available. For personal use, just pull the master and make.

| username: 哈喽沃德 | Original post link

LTS is fine.

| username: TiDBer_rvITcue9 | Original post link

Got it.

| username: zhanggame1 | Original post link

7.5.1

| username: TiDBer_小阿飞 | Original post link

Currently, 6.5.x is still stable. I haven’t used versions above 7. It is compatible with MySQL 8.0, but I’m not sure about its stability.

| username: kelvin | Original post link

Currently, we are using 6.5.x in production and it is stable. We are just experimenting with 7.5.x for now.

| username: 随缘天空 | Original post link

v7.1.1 is also fine.

| username: 路在何chu | Original post link

Just go with 7.5, it will be easier to upgrade in the future.

| username: TIDB-Learner | Original post link

Three months have passed in 2024, I recommend 7.5.x.